aagc.vo

## Class IncaricoMedicoDiBaseResponsestoricoposizioneanagrafica

- java.lang.Object
- - aagc.vo.IncaricoMedicoDiBaseResponsestoricoposizioneanagrafica

-     public class IncaricoMedicoDiBaseResponsestoricoposizioneanagrafica
      extends java.lang.Object

  Classe Java per IncaricoMedicoDiBaseResponsestoricoposizioneanagrafica complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="IncaricoMedicoDiBaseResponsestoricoposizioneanagrafica">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codASL" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="codComuneAttivita" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="codMotivoCessazione" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="codTipoIncarico" type="{http://www.w3.org/2001/XMLSchema}int"/>
               <element name="dataFine" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="dataInizio" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="descASL" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="descComuneAttivita" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="descMotivoCessazione" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="descTipoIncarico" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="numDistretto" type="{http://www.w3.org/2001/XMLSchema}int"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codASL`
    `protected int` | `codComuneAttivita`
    `protected int` | `codMotivoCessazione`
    `protected int` | `codTipoIncarico`
    `protected java.lang.String` | `dataFine`
    `protected java.lang.String` | `dataInizio`
    `protected java.lang.String` | `descASL`
    `protected java.lang.String` | `descComuneAttivita`
    `protected java.lang.String` | `descMotivoCessazione`
    `protected java.lang.String` | `descTipoIncarico`
    `protected int` | `numDistretto`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncaricoMedicoDiBaseResponsestoricoposizioneanagrafica()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodASL()` Recupera il valore della proprietà codASL.
    `int` | `getCodComuneAttivita()` Recupera il valore della proprietà codComuneAttivita.
    `int` | `getCodMotivoCessazione()` Recupera il valore della proprietà codMotivoCessazione.
    `int` | `getCodTipoIncarico()` Recupera il valore della proprietà codTipoIncarico.
    `java.lang.String` | `getDataFine()` Recupera il valore della proprietà dataFine.
    `java.lang.String` | `getDataInizio()` Recupera il valore della proprietà dataInizio.
    `java.lang.String` | `getDescASL()` Recupera il valore della proprietà descASL.
    `java.lang.String` | `getDescComuneAttivita()` Recupera il valore della proprietà descComuneAttivita.
    `java.lang.String` | `getDescMotivoCessazione()` Recupera il valore della proprietà descMotivoCessazione.
    `java.lang.String` | `getDescTipoIncarico()` Recupera il valore della proprietà descTipoIncarico.
    `int` | `getNumDistretto()` Recupera il valore della proprietà numDistretto.
    `void` | `setCodASL(java.lang.String value)` Imposta il valore della proprietà codASL.
    `void` | `setCodComuneAttivita(int value)` Imposta il valore della proprietà codComuneAttivita.
    `void` | `setCodMotivoCessazione(int value)` Imposta il valore della proprietà codMotivoCessazione.
    `void` | `setCodTipoIncarico(int value)` Imposta il valore della proprietà codTipoIncarico.
    `void` | `setDataFine(java.lang.String value)` Imposta il valore della proprietà dataFine.
    `void` | `setDataInizio(java.lang.String value)` Imposta il valore della proprietà dataInizio.
    `void` | `setDescASL(java.lang.String value)` Imposta il valore della proprietà descASL.
    `void` | `setDescComuneAttivita(java.lang.String value)` Imposta il valore della proprietà descComuneAttivita.
    `void` | `setDescMotivoCessazione(java.lang.String value)` Imposta il valore della proprietà descMotivoCessazione.
    `void` | `setDescTipoIncarico(java.lang.String value)` Imposta il valore della proprietà descTipoIncarico.
    `void` | `setNumDistretto(int value)` Imposta il valore della proprietà numDistretto.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codASL

          protected java.lang.String codASL

    - #### codComuneAttivita

          protected int codComuneAttivita

    - #### codMotivoCessazione

          protected int codMotivoCessazione

    - #### codTipoIncarico

          protected int codTipoIncarico

    - #### dataFine

          protected java.lang.String dataFine

    - #### dataInizio

          protected java.lang.String dataInizio

    - #### descASL

          protected java.lang.String descASL

    - #### descComuneAttivita

          protected java.lang.String descComuneAttivita

    - #### descMotivoCessazione

          protected java.lang.String descMotivoCessazione

    - #### descTipoIncarico

          protected java.lang.String descTipoIncarico

    - #### numDistretto

          protected int numDistretto

  - ### Constructor Detail

    - #### IncaricoMedicoDiBaseResponsestoricoposizioneanagrafica

          public IncaricoMedicoDiBaseResponsestoricoposizioneanagrafica()

  - ### Method Detail

    - #### getCodASL

          public java.lang.String getCodASL()

      Recupera il valore della proprietà codASL.
      Returns:
        possible object is `String`

    - #### setCodASL

          public void setCodASL(java.lang.String value)

      Imposta il valore della proprietà codASL.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodComuneAttivita

          public int getCodComuneAttivita()

      Recupera il valore della proprietà codComuneAttivita.

    - #### setCodComuneAttivita

          public void setCodComuneAttivita(int value)

      Imposta il valore della proprietà codComuneAttivita.

    - #### getCodMotivoCessazione

          public int getCodMotivoCessazione()

      Recupera il valore della proprietà codMotivoCessazione.

    - #### setCodMotivoCessazione

          public void setCodMotivoCessazione(int value)

      Imposta il valore della proprietà codMotivoCessazione.

    - #### getCodTipoIncarico

          public int getCodTipoIncarico()

      Recupera il valore della proprietà codTipoIncarico.

    - #### setCodTipoIncarico

          public void setCodTipoIncarico(int value)

      Imposta il valore della proprietà codTipoIncarico.

    - #### getDataFine

          public java.lang.String getDataFine()

      Recupera il valore della proprietà dataFine.
      Returns:
        possible object is `String`

    - #### setDataFine

          public void setDataFine(java.lang.String value)

      Imposta il valore della proprietà dataFine.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataInizio

          public java.lang.String getDataInizio()

      Recupera il valore della proprietà dataInizio.
      Returns:
        possible object is `String`

    - #### setDataInizio

          public void setDataInizio(java.lang.String value)

      Imposta il valore della proprietà dataInizio.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescASL

          public java.lang.String getDescASL()

      Recupera il valore della proprietà descASL.
      Returns:
        possible object is `String`

    - #### setDescASL

          public void setDescASL(java.lang.String value)

      Imposta il valore della proprietà descASL.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescComuneAttivita

          public java.lang.String getDescComuneAttivita()

      Recupera il valore della proprietà descComuneAttivita.
      Returns:
        possible object is `String`

    - #### setDescComuneAttivita

          public void setDescComuneAttivita(java.lang.String value)

      Imposta il valore della proprietà descComuneAttivita.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescMotivoCessazione

          public java.lang.String getDescMotivoCessazione()

      Recupera il valore della proprietà descMotivoCessazione.
      Returns:
        possible object is `String`

    - #### setDescMotivoCessazione

          public void setDescMotivoCessazione(java.lang.String value)

      Imposta il valore della proprietà descMotivoCessazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescTipoIncarico

          public java.lang.String getDescTipoIncarico()

      Recupera il valore della proprietà descTipoIncarico.
      Returns:
        possible object is `String`

    - #### setDescTipoIncarico

          public void setDescTipoIncarico(java.lang.String value)

      Imposta il valore della proprietà descTipoIncarico.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumDistretto

          public int getNumDistretto()

      Recupera il valore della proprietà numDistretto.

    - #### setNumDistretto

          public void setNumDistretto(int value)

      Imposta il valore della proprietà numDistretto.